[arch-commits] Commit in lsp-plugins/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Sat Apr 4 23:12:21 UTC 2020


    Date: Saturday, April 4, 2020 @ 23:12:21
  Author: dvzrv
Revision: 611763

archrelease: copy trunk to community-x86_64

Added:
  lsp-plugins/repos/community-x86_64/PKGBUILD
    (from rev 611762, lsp-plugins/trunk/PKGBUILD)
Deleted:
  lsp-plugins/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   88 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-04 23:11:50 UTC (rev 611762)
+++ PKGBUILD	2020-04-04 23:12:21 UTC (rev 611763)
@@ -1,44 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-
-pkgname=lsp-plugins
-pkgver=1.1.15
-pkgrel=1
-pkgdesc="Collection of free plugins compatible with LADSPA, LV2 and LinuxVST"
-arch=('x86_64')
-url="https://lsp-plug.in"
-license=('LGPL3')
-groups=('ladspa-plugins' 'lv2-plugins' 'pro-audio' 'vst-plugins')
-depends=('cairo' 'gcc-libs' 'glibc' 'hicolor-icon-theme' 'libglvnd' 'libx11')
-makedepends=('jack' 'ladspa' 'libsndfile' 'lv2' 'php')
-optdepends=('jack: for standalone applications')
-source=("https://github.com/sadko4u/${pkgname}/archive/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('2ab853ff8b68b2466681c1cfb03381e8a61fc7965ba9abd67104ef90277cdce0f1fc5b3ead571e6ba2dfdff0da44c0a452909520fd5ebf4dd7389fab9ff77434')
-
-prepare() {
-  mv -v "$pkgname-$pkgname-$pkgver" "$pkgname-$pkgver"
-}
-
-build() {
-  local _test_path="$(pwd)/.build-test"
-  cd "$pkgname-$pkgver"
-  make
-  make OBJDIR="${_test_path}" clean
-  make OBJDIR="${_test_path}" test
-}
-
-check() {
-  local _test_path="$(pwd)/.build-test"
-  cd "$pkgname-$pkgver"
-  "${_test_path}/lsp-plugins-test" utest \
-    --nofork \
-    --debug \
-    --verbose || echo "Known flaky test: https://github.com/sadko4u/lsp-plugins/issues/19"
-}
-
-package() {
-  depends+=('libsndfile.so')
-  cd "$pkgname-$pkgver"
-  make PREFIX='/usr' \
-       DESTDIR="$pkgdir/" \
-       install
-}

Copied: lsp-plugins/repos/community-x86_64/PKGBUILD (from rev 611762, lsp-plugins/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-04 23:12:21 UTC (rev 611763)
@@ -0,0 +1,44 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+pkgname=lsp-plugins
+pkgver=1.1.17
+pkgrel=1
+pkgdesc="Collection of free plugins compatible with LADSPA, LV2 and LinuxVST"
+arch=('x86_64')
+url="https://lsp-plug.in"
+license=('LGPL3')
+groups=('ladspa-plugins' 'lv2-plugins' 'pro-audio' 'vst-plugins')
+depends=('cairo' 'gcc-libs' 'glibc' 'hicolor-icon-theme' 'libglvnd' 'libx11')
+makedepends=('jack' 'ladspa' 'libsndfile' 'lv2' 'php')
+optdepends=('jack: for standalone applications')
+source=("https://github.com/sadko4u/${pkgname}/archive/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('7d6bc8f7da11a5f4756df80d9ec2d7fa3c7e2066b77e66fa6bf78035ec5852d2d63b227e8da3724ceb27cdb32da042c671db369c047b011348cd4ef5dd6387c5')
+
+prepare() {
+  mv -v "$pkgname-$pkgname-$pkgver" "$pkgname-$pkgver"
+}
+
+build() {
+  local _test_path="$(pwd)/.build-test"
+  cd "$pkgname-$pkgver"
+  make
+  make OBJDIR="${_test_path}" clean
+  make OBJDIR="${_test_path}" test
+}
+
+check() {
+  local _test_path="$(pwd)/.build-test"
+  cd "$pkgname-$pkgver"
+  "${_test_path}/lsp-plugins-test" utest \
+    --nofork \
+    --debug \
+    --verbose || echo "Known flaky test: https://github.com/sadko4u/lsp-plugins/issues/19"
+}
+
+package() {
+  depends+=('libsndfile.so')
+  cd "$pkgname-$pkgver"
+  make PREFIX='/usr' \
+       DESTDIR="$pkgdir/" \
+       install
+}


More information about the arch-commits mailing list